| Home | Libraries | People | FAQ | More

## Struct template make_any_base_hook

boost::intrusive::make_any_base_hook

## Synopsis

    template<class... Options>
    struct make_any_base_hook {
      // types
      typedef implementation_defined type;
    };

## Description

Helper metafunction to define a ``any_base_hook` that` yields to the same type when the same options (either explicitly or implicitly) are used.